Image Search
curl --request GET \
--url https://scrapebadger.com/v1/bing/images \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/bing/images"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/bing/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"query": "<string>",
"market": "<string>",
"result_count": 123,
"results": [
{
"position": 123,
"title": "<string>",
"image_url": "<string>",
"thumbnail_url": "<string>",
"source_url": "<string>",
"source_domain": "<string>",
"width": 123,
"height": 123
}
]
}Search
Image Search
Search Bing Images — full-size URL, thumbnail, source page and pixel dimensions per result.
GET
/
v1
/
bing
/
images
Image Search
Search Bing Images. Each result carries the full-size image URL, a Bing
thumbnail, the page the image lives on, and its pixel dimensions.
Credits: 5
Authorization
string
required
Your ScrapeBadger API key.
Query Parameters
string
required
Search keywords, e.g.
golden retriever.integer
default:"35"
Results to return.
string
One of
off, moderate, strict.Response
string
Echo of the requested query.
string
The market the results were fetched for.
integer
Images returned.
ImageResult[]
Example
curl "https://scrapebadger.com/v1/bing/images?query=golden+retriever&count=10" \
-H "X-API-Key: YOUR_API_KEY"
const res = await fetch(
"https://scrapebadger.com/v1/bing/images?" +
new URLSearchParams({ query: "golden retriever", count: "10" }),
{ headers: { "X-API-Key": process.env.SCRAPEBADGER_API_KEY } },
);
const data = await res.json();
import requests
res = requests.get(
"https://scrapebadger.com/v1/bing/images",
headers={"X-API-Key": "YOUR_API_KEY"},
params={"query": "golden retriever", "count": 10},
)
data = res.json()
Response
{
"query": "golden retriever",
"market": "en-US",
"result_count": 10,
"results": [
{
"position": 1,
"title": "Golden Retriever Dog Breed Information",
"image_url": "https://www.akc.org/wp-content/uploads/2017/11/Golden-Retriever.jpg",
"thumbnail_url": "https://tse1.mm.bing.net/th?id=OIP.abc123",
"source_url": "https://www.akc.org/dog-breeds/golden-retriever/",
"source_domain": "akc.org",
"width": 1920,
"height": 1080
}
]
}
⌘I

